Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 31 Oct 2014, 16:56
All times are UTC - 4
 Forum index » Advanced Topics » Hardware » Networking » Wireless
Broadcom-STA "wl" wifi drivers - repository of latest
Post new topic   Reply to topic View previous topic :: View next topic
Page 5 of 8 [119 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8 Next
Author Message
jayjays

Joined: 11 Apr 2013
Posts: 3

PostPosted: Fri 12 Apr 2013, 19:24    Post subject:  

Thanks, PeeBee. My Japanese pal on another BBS showed the link of pet file and it has fixed the problem.

http://www.murga-linux.com/puppy/viewtopic.php?mode=attach&id=34219&sid=74432852a60202f8ac1c3a43c14c88bf

Thanks for your concerning and help. Much appreciated.

Cheers

jayjays
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1473
Location: Malvern, Worcs, UK

PostPosted: Sat 13 Apr 2013, 02:21    Post subject:  

jayjays wrote:
Thanks, PeeBee. My Japanese pal on another BBS showed the link of pet file and it has fixed the problem.

http://www.murga-linux.com/puppy/viewtopic.php?mode=attach&id=34219&sid=74432852a60202f8ac1c3a43c14c88bf

Thanks for your concerning and help. Much appreciated.

Cheers

jayjays


That is the older 5.6.48.36 version of the driver - pleased to hear it worked for you.

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
Pelo


Joined: 10 Sep 2011
Posts: 3246
Location: Mer méditerrannée (1 kms°)

PostPosted: Wed 17 Apr 2013, 03:59    Post subject: Lucid 528-005 driver wifi Wl
Subject description: Failure
 

Failure on Lucid 528-005. On the recent distros the driver wl works well for the public wifi.
However thanks to you helping us to improve Lucid 528, which is moreover a nice distro.
Sure i can work with eth0. But i have a laptop Medion P7624. I'd like to do not have a chain in the leg at home. The electric cable is fixed yonder on my chandelier so that I am not caught the feet inside.
It's not a disaster...
Bonne journée.
Back to top
View user's profile Send private message Yahoo Messenger 
redandwhitestripes

Joined: 02 Jan 2009
Posts: 124

PostPosted: Wed 17 Apr 2013, 11:42    Post subject:  

OK this seems as good a place as any to ask for help.

My broadcom driver is :

10:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g (rev 01

2.6.33.2 SMP mod_unload modversions 486


I'm using lupu_525 on a full hard disk install.
Have been doing so for a while with no problems, when I set it up I installed the broadcom-5.10.27.14-k2.6.25.16.pet as I did with all previous puppies and all was fine.

Today I tried running precise 5.5 on a live CD and the weird thing is that it
sees my neighbours' wi-fi networks but not my own! No clue atall.
Some neighbours are using WPA2, just like me.

When I go back to my full install, everything is fine again.

Can anyone suggest why this might be and what I need to install/uninstall?


EDIT: I scanned this thread and installed the closest pet I could find (Precise 5.2 version) but I get an error message "incorrect kernel for this data".

Last edited by redandwhitestripes on Wed 05 Jun 2013, 09:13; edited 1 time in total
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1473
Location: Malvern, Worcs, UK

PostPosted: Fri 19 Apr 2013, 03:49    Post subject:  

redandwhitestripes wrote:
OK this seems as good a place as any to ask for help.

My broadcom driver is :

10:00.0 Network controller: Broadcom Corporation BCM4312 802.11b/g (rev 01

2.6.33.2 SMP mod_unload modversions 486


I'm using lupu_525 on a full hard disk install.
Have been doing so for a while wtth no problems, when I set it up I installed the broadcom-5.10.27.14-k2.6.25.16.pet as I did with all previous puppies and all was fine.

Today I tried running precise 5.5 on a live CD and the weird thing is that it
sees my neighbours' wi-fi networks but not my own! No clue atall.
Some neighbours are using WPA2, just like me.

When I go back to my full install, everything is fine again.

Can anyone suggest why this might be and what I need to install/uninstall?


EDIT: I scanned this thread and installed the closest pet I could find (Precise 5.2 version) but I get an error message "incorrect kernel for this data".


Hi there

Seen you've had some advice already over on the Precise 5.5 thread.

Precise 5.5 contains all the logic and drivers - b43 and wl - to support Broadcom wifi - you don't need to install any additional pets.

The fact that you can see neighbours signals indicates that the Puppy part of the system is behaving correctly.

Do you think your router might be set to hidden SSID? Have you tried typing the SSID explicitly into whichever Network Manager you are using?

Have you tried all 3 available Network Managers - SNS, Frisbee and NetWiz? If not find the Internet Connection Wizard in the Setup menu and try Frisbee.

If that doesn't work I recommend that you try going through the manual methods described in How to configure wifi from the commandline to see where things are going wrong.

Otherwise, post the evidence produced by running the pdiag command to the forum in the above thread.

Hope this helps
Cheers
PeeBee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
redandwhitestripes

Joined: 02 Jan 2009
Posts: 124

PostPosted: Sat 20 Apr 2013, 23:40    Post subject:  

Thanks for the reply. SSID is not hidden and although it weirdly sees my neighbours, the signal strength for their networks is very low, far lower than it is with my usual Pup.

I tried reverting to WEP and switching off my router's firewall. No change.

I tried loading the module and running the script the user gave me in the other thread. Again, no change.

I will now post my pdiag readout on the relevant thread. Thanks.
Back to top
View user's profile Send private message 
boof

Joined: 26 Sep 2012
Posts: 185

PostPosted: Mon 29 Apr 2013, 22:41    Post subject: driver for BW1518?
Subject description: Tethering help needed
 

3.0+HS USB adapter
WiFi
BW1518


Vendor ID 148f Ralink component RA2870 driver?????
Product id 5370

Vendor id 0a5c Broadcom component driver unknown.
Product id 2146

loads RA2800 driver by default. Is this correct? Have win XP drivers, can send .ini, .cat and .sys files. Wrapper not working, as screen freezes when RA2800 deleted for wrapper install.

Trying to tether to Nokia C3-00 or PXPHONE PXi9300. Not having a lot of luck in Puppy, tho' win works ok on the Nokia. The PXPHONE may have an Huawei dial-up modem???

Dell Inspiron 600m, Dell Optilex 745.
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1473
Location: Malvern, Worcs, UK

PostPosted: Tue 30 Apr 2013, 02:19    Post subject: Re: driver for BW1518?
Subject description: Tethering help needed
 

boof wrote:
3.0+HS USB adapter
WiFi
BW1518


Vendor ID 148f Ralink component RA2870 driver?????
Product id 5370

Vendor id 0a5c Broadcom component driver unknown.
Product id 2146

loads RA2800 driver by default. Is this correct? Have win XP drivers, can send .ini, .cat and .sys files. Wrapper not working, as screen freezes when RA2800 deleted for wrapper install.

Trying to tether to Nokia C3-00 or PXPHONE PXi9300. Not having a lot of luck in Puppy, tho' win works ok on the Nokia. The PXPHONE may have an Huawei dial-up modem???

Dell Inspiron 600m, Dell Optilex 745.



Google search shows:
http://cateee.net/lkddb/web-lkddb/BT_HCIBTUSB.html

Broadcom 0a5c:2146 is Bluetooth not wifi so the WL driver is not appropriate.

Afraid I'm a mobile phone phobic so can't help with them.

This post may offer you better help:
http://murga-linux.com/puppy/viewtopic.php?t=78687&start=15

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 1473
Location: Malvern, Worcs, UK

PostPosted: Sun 05 May 2013, 04:57    Post subject: Thin Slacko 5.5.0.3  

Here is the delta file for Thin Slacko 5.5.0.3 which has kernel 3.9.0.0
broadcom_wl_delta-k3.9.0.0.pet
Description  Delta file for Slacko 5.5.0.3 with k3.9.0.0
pet

 Download 
Filename  broadcom_wl_delta-k3.9.0.0.pet 
Filesize  89.93 KB 
Downloaded  531 Time(s) 

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
fefifofum

Joined: 06 Apr 2013
Posts: 6

PostPosted: Mon 06 May 2013, 15:32    Post subject: Lenovo s10 netbook - Braodcom STA
Subject description: Wifi still does not work with new pets.
 

First, I would like to thank everyone helping us withe the broadcom issues. You are all great. I have a Lenovo S10 Netbook running lucid 5.2.8 -500 on k2.6.33.2 with wifi broacom sta issues. I've tried installing the three multi-pet packages you created with no true success. These are the three pets that I have tried
and are located at: http://e-nautia.com/peebee/disk?f=1237693

This is my experience with with each pets:
broadcom_sta_v5.60.48.36_patched_x86_32-multi
- successfully loaded
- rebooted just fine
- was able to locate my ssid.
- Fail to locate access point

broadcom_sta_v5.100.82.112_patched_x86_32-multi.

- At install..."the delta file for this pet is missing. Please uninstall the pet."
- I dont know what delta file it is referring to.

broadcom_sta_v5.100.82.112_patched_x86_32-multi_inc_pref_logic
- successfully loaded
- rebooted just fine
- was able to locate my ssid.
- Fail to locate access point

The wifi on Ubuntu and w2k works just fine on this machine. Any assistance would greatly be appreciated.
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1473
Location: Malvern, Worcs, UK

PostPosted: Thu 09 May 2013, 13:11    Post subject: Delta file for Thin Slacko 5.5.04 with k3.9.1-0  

The Delta file for Thin Slacko 5.5.04 with kernel 3.9.1-0 is attached.
broadcom_wl_delta-k3.9.1-0.pet
Description  Delta for kernel 3.9.1-0
pet

 Download 
Filename  broadcom_wl_delta-k3.9.1-0.pet 
Filesize  89.94 KB 
Downloaded  519 Time(s) 

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 1473
Location: Malvern, Worcs, UK

PostPosted: Thu 09 May 2013, 13:28    Post subject: Re: Lenovo s10 netbook - Braodcom STA
Subject description: Wifi still does not work with new pets.
 

fefifofum wrote:
I have a Lenovo S10 Netbook running lucid 5.2.8 -500 on k2.6.33.2 with wifi broacom sta issues. I've tried installing the three multi-pet packages you created with no true success.


Hi there

Firstly apologies that I somehow missed your post and haven't responded before now.....

Lucid 5.2.8-500 was a great Puppy version but is now getting quite old and as a consequence does not have the many improvements that rerwin has developed for more modern Puppies.

So my first recommendation if it is practical for you would be to move to a Puppy like Precise 5.5 or Slacko 5.5 where all the Broadcom improvements including the wl driver are built-in.

Or at least try one of these Puppies as a frugal install to see if they improve matters.

My next recommendation is that you should determine exactly which version of Broadcom wifi you have (there are many) and then check with the list at http://wireless.kernel.org/en/users/Drivers/b43#Supported_devices
which of the 3 driver types - b43, wl and brcm80211 might best support your device.

You can find details of your device with the command
Code:
lspci -vnn -d 14e4:
in a terminal.

Of the 3 pets you have tried - the 2nd one definitely will not work as it relies on the newer "rerwin" logic and therefore cannot be used with Lucid 5.2.8 - that is why there is no delta file....

Hope this helps
Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 1473
Location: Malvern, Worcs, UK

PostPosted: Thu 09 May 2013, 16:46    Post subject: Delta for Precise 5.6Beta with k3.2.44  

[EDIT] Precise 5.6 Beta2 now has the wl.ko driver so this delta should be redundant [/EDIT]

Barry has published Precise 5.6Beta but this doesn't have the wl driver built-in (hopefully this will be rectified for the release version) but in the meantime here is the delta pet for Precise 5.6Beta kernel 3.2.44

[edit]full wl.ko driver has been sent to Barry hopefully to appear in next Precise 5.6 version...........[/edit]
broadcom_wl_delta-k3.2.44.pet
Description  Delta for k3.2.44
pet

 Download 
Filename  broadcom_wl_delta-k3.2.44.pet 
Filesize  42.18 KB 
Downloaded  502 Time(s) 

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
fefifofum

Joined: 06 Apr 2013
Posts: 6

PostPosted: Tue 14 May 2013, 09:46    Post subject: Re: Lenovo s10 netbook - Braodcom STA
Subject description: Wifi still does not work with new pets.
 

Peebee wrote:
Quote:
So my first recommendation if it is practical for you would be to move to a Puppy like Precise 5.5 or Slacko 5.5 where all the Broadcom improvements including the wl driver are built-in.



Thank you, I will try Precise 5.5 and Slacko 5.5. If that doesnt work I guess i could buy a usb wifi device.
Back to top
View user's profile Send private message 
for_wov


Joined: 10 May 2013
Posts: 25
Location: Europe:Kiev

PostPosted: Wed 22 May 2013, 04:03    Post subject: wl
Subject description: frisbee reconects
 

to redandwhitestripes & peebee
"When I go back to my full install, everything is fine again."

I suppose that happens because wl module loads after saving/rebooting
Managed wifi on manual flugal(no save file yet) also should work in live by networkwizard+frisbee one after the other with static IPs on both networkmanagers. frisbee reconects at intervals but works.
My wifi is wep-encrypted but in kernel modules see lib89211_crypt_tkip.ko loaded suppose should be lib89211_crypt_wep.ko.
The question is: is it possible(and how if is) to load proper lib module without rebooting/making save-file so that I could be able to work live? any ideas? what info should I submit? where to dig?
my distro precise 5.6. should i try another networkmanager?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 5 of 8 [119 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Hardware » Networking » Wireless
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0975s ][ Queries: 13 (0.0069s) ][ GZIP on ]